Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.command
Class UpdateProcessCommand

    java.lang.Object
      org.jbpm.process.instance.command.UpdateProcessCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class UpdateProcessCommand

extends Object
implements org.drools.core.command.impl.GenericCommand<Void>

See Also:
  Serialized Form

Constructor Summary
`UpdateProcessCommand(Long processInstanceId, String processXml)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context context)`
`Long` | `getProcessInstanceId()`
`String` | `getProcessXml()`
`void` | `setProcessInstanceId(Long processInstanceId)`
`void` | `setProcessXml(String processXml)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateProcessCommand

    public UpdateProcessCommand(Long processInstanceId,
                                String processXml)

Method Detail

### getProcessInstanceId

    public Long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getProcessXml

    public String getProcessXml()

### setProcessXml

    public void setProcessXml(String processXml)

### execute

    public Void execute(org.kie.internal.command.Context context)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.